org.eclipse.wst.jsdt.chromium.wip

## Interface WipBackend

    public interface WipBackend

Abstract interface to WIP implementation, that is delivered in a separate library. It allows to have several versions of implementation in the system at the same time, which may be needed because WIP is not stable yet and is evolving quite rapidly.

A particular set-up should choose it's own way to get backed instances. For example Eclipse may use its extension point mechanism. Other frameworks can dynamically instantiate `WipBackend.Factory`.

### Nested Class Summary

Nested Classes
`static interface` `WipBackend.Factory` Used to dynamically instantiate `WipBackend`.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDescription()`
`java.lang.String` `getId()`

### Method Detail

#### getId

    java.lang.String getId()

Returns:
  a unique name of backend implementation

#### getDescription

    java.lang.String getDescription()

Returns:
  a human-readable implementation description that should help to tell what protocol version it supports